GNU bug report logs - #2409
23.0.90; org-mode + viper-mode + ns make typing unresponsive

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,org-mode; Reported by: Steve Purcell <steve@HIDDEN>; dated Fri, 20 Feb 2009 14:25:05 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 2409 <at> debbugs.gnu.org:


Received: (at 2409) by debbugs.gnu.org; 17 May 2016 17:35:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 17 13:35:40 2016
Received: from localhost ([127.0.0.1]:56193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b2iuB-0003rS-Ua
	for submit <at> debbugs.gnu.org; Tue, 17 May 2016 13:35:40 -0400
Received: from mail-wm0-f42.google.com ([74.125.82.42]:38216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.ch.brand@HIDDEN>) id 1b2iuA-0003rE-7Q
 for 2409 <at> debbugs.gnu.org; Tue, 17 May 2016 13:35:38 -0400
Received: by mail-wm0-f42.google.com with SMTP id g17so43329571wme.1
 for <2409 <at> debbugs.gnu.org>; Tue, 17 May 2016 10:35:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to;
 bh=D2QK0fygdnHTOmKOLN1+BSFy1jgk2Gj+3ghHaTIBsGg=;
 b=HpAxyuyJN7zLKjkUysMjT2Qss8H/wOzbn/hSnjAZNWOAVn7I/vW8MPRM8mjX1Kn8Xo
 8zu6aZryVcrNEX/j3dqYlxW5ArcOu4a1mIFp9+hQrCyk4nVwiia4IDJYWuwH4kSUbY4S
 FfvD69X21to0ol5sTUIc93he2ajD07Q6ZqM5NvfdYJzHYvvVzFC4/KqCM9pzL816Wdng
 JgPcrMKmu3J+0IYYA+87Rbg1XwgqhbmBX3PimSspUZ3CEFoir6i4aU1TfOVj6qo2d28b
 DU1FwVWDrsAwK/gibhkjGP3rXqYO1vc0XuoGFLu4oeRo2gKykA1ummgW+7lnbDswg5Cs
 tpLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to;
 bh=D2QK0fygdnHTOmKOLN1+BSFy1jgk2Gj+3ghHaTIBsGg=;
 b=cc+Z86ZTboJZuRxo1fZCI6hRaoBqMdy0Zkv5Uhvb++bhBo/Qrpbke7M5Ju9XhkERx1
 hwJ2y2GJ1Wsh67qVQjPMyDYR1YVQ8hn/0VZSF3g0NJRmjC91wtbAVFeGLzUWmPZPl0ue
 NZFRwkTH2tOyMJKC91J33628q7dZ81+ixrLsQ8EOmronHEMXOPpl8a0sUxr0vOWmugRY
 s3pIA1gJ4R3GPTZXIoik3XLloU7njopeb1ek5b8A7nj3W1Qfxfa+zgkygqHhQHGoOFpk
 Gp51XxdzVsZcToNRFi3DyauDg1f/kcsMysb59rlcazjaJF2beAR68i5t++1xAWGjhwHa
 vO1g==
X-Gm-Message-State: AOPr4FV2Q+SwW1sQnA/JvTd9tjUvHdPoETO7byN8aMrp0CqdGTYj/rFdN8iCeg1Xg0txjG2z72jgw041giWbVg==
MIME-Version: 1.0
X-Received: by 10.28.113.67 with SMTP id m64mr26262087wmc.58.1463506532624;
 Tue, 17 May 2016 10:35:32 -0700 (PDT)
Received: by 10.28.87.18 with HTTP; Tue, 17 May 2016 10:35:32 -0700 (PDT)
In-Reply-To: <CAM6wYYJJcaUYT5evtLw3mBHa7TXref35HO2OphAeinFeSQRdzg@HIDDEN>
References: <5A1A94B2-B206-4068-87C8-138E6D202BDE@HIDDEN>
 <m2k2ng9299.fsf@HIDDEN>
 <CALn3zoggG_+3pgp9qagDNKpUGtApqw-aYMvPatu60BQiOeM6vA@HIDDEN>
 <CAM6wYYJJcaUYT5evtLw3mBHa7TXref35HO2OphAeinFeSQRdzg@HIDDEN>
Date: Tue, 17 May 2016 19:35:32 +0200
Message-ID: <CALn3zojYc1Yg9aZLoUeD+hwHMDPsDtCKnXDoAKTMPN0wRefRTQ@HIDDEN>
Subject: Re: [O] bug#2409: 23.0.90;
 org-mode + viper-mode + ns make typing unresponsive
From: Michael Brand <michael.ch.brand@HIDDEN>
To: 2409 <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 2409
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi all

I did some trials in lisp/org/org.el with
- Emacs on OS X built with configure --with-ns, 24.5 and today's
  master
- Org from today's master

1) Removing the line containing org-self-insert-command from

       (org-remap org-mode-map
                  'self-insert-command 'org-self-insert-command
                  'delete-char 'org-delete-char
                  'delete-backward-char 'org-delete-backward-char)

   lets the issue disappear. So the issue seems at least _related_ to
   org-self-insert-command.

2) When I instead remove all forms that contain
   org-self-insert-command or orgtbl-self-insert-command and then add

       ;; Reduce to a passing through to `self-insert-command'.
       (defun org-self-insert-command (N)
         (interactive "p")
         (self-insert-command N))
       ;; Leave this as it was originally.
       (org-remap org-mode-map
                  'self-insert-command 'org-self-insert-command
                  'delete-char 'org-delete-char
                  'delete-backward-char 'org-delete-backward-char)

   the issue remains but I expect it to disappear. Did I not replace
   self-insert-command just with itself and it should behave the same
   way as with change 1)?

Michael




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#2409; Package emacs,org-mode. Full text available.
Removed tag(s) unreproducible. Request was from Andrew Hyatt <ahyatt@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 2409 <at> debbugs.gnu.org:


Received: (at 2409) by debbugs.gnu.org; 12 Jan 2016 01:58:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 11 20:58:00 2016
Received: from localhost ([127.0.0.1]:46923 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aIoDg-0005SE-1y
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2016 20:58:00 -0500
Received: from mail-vk0-f42.google.com ([209.85.213.42]:33500)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ahyatt@HIDDEN>) id 1aIoDe-0005S2-S9
 for 2409 <at> debbugs.gnu.org; Mon, 11 Jan 2016 20:57:59 -0500
Received: by mail-vk0-f42.google.com with SMTP id i129so96791726vkb.0
 for <2409 <at> debbugs.gnu.org>; Mon, 11 Jan 2016 17:57:58 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-type;
 bh=9l5oSgucYYvHs96B3axtf2yMhiCFID/lBr8zw487BZo=;
 b=e2w8Y8oOjFY7uPNgJqkW8BP+GU8n5DyI9oes8flTeRMyPKxr29oElqMQ18MLug0jI2
 DsYUikmSReUlY9DIEA/1ajWkHNVs4jh8leLr6FeQRn3LwZqqkL/u35VVQOt/R0jJSVNo
 3LYOoHjhOAV+BsZO9SCz3y6mWmcTV/oou/U8wIZ4WucBLKfA7O6lHa1kfz1n+IKC23WO
 QYmLrLHqutBZjwSn7TCrG+VUQLTXW79JYlgXSfFT5F96BW3a1XfM4EVE9EpkJypp9lc1
 SOrE9hg6bSZ+sXUxW2cvUfXB2R86Yox0EpP2TU9cM5HefR3/GIFRnnbOP3b9bGA+pESK
 27cg==
X-Received: by 10.31.47.200 with SMTP id v191mr95353812vkv.116.1452563873271; 
 Mon, 11 Jan 2016 17:57:53 -0800 (PST)
MIME-Version: 1.0
References: <5A1A94B2-B206-4068-87C8-138E6D202BDE@HIDDEN>
 <m2k2ng9299.fsf@HIDDEN>
 <CALn3zoggG_+3pgp9qagDNKpUGtApqw-aYMvPatu60BQiOeM6vA@HIDDEN>
In-Reply-To: <CALn3zoggG_+3pgp9qagDNKpUGtApqw-aYMvPatu60BQiOeM6vA@HIDDEN>
From: Andrew Hyatt <ahyatt@HIDDEN>
Date: Tue, 12 Jan 2016 01:57:42 +0000
Message-ID: <CAM6wYYJJcaUYT5evtLw3mBHa7TXref35HO2OphAeinFeSQRdzg@HIDDEN>
Subject: Re: [O] bug#2409: 23.0.90;
 org-mode + viper-mode + ns make typing unresponsive
To: Michael Brand <michael.ch.brand@HIDDEN>
Content-Type: multipart/alternative; boundary=001a1143fae0ae152205291961f0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 2409
Cc: Steve Purcell <steve@HIDDEN>, 2409 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a1143fae0ae152205291961f0
Content-Type: text/plain; charset=UTF-8

On Mon, Jan 11, 2016 at 5:43 PM Michael Brand <michael.ch.brand@HIDDEN>
wrote:

> Hi Andrew
>
> I would like to give some feedback to what you originally asked Steve:
>
>
> On Mon, Jan 11, 2016 at 5:19 AM, Andrew Hyatt <ahyatt@HIDDEN> wrote:
> > I can't reproduce this under Emacs 25. As this bug is a bit old, I'm
> > guessing it has been fixed in the meantime. Please let me know if you
> > can still reproduce it, though. I'll mark this as unreproducible now,
> > and close it in a few weeks if you can't reproduce it either under Emacs
> > 25.
>
> Did you check on OS X?
>
> On GNU/Linux I never saw the issue, on OS X regularly under certain
> circumstances which are not clear to me. With the recipe of Steve I
> can reproduce on build GNU Emacs 25.1.50.1 (x86_64-apple-darwin13.4.0,
> NS appkit-1265.21 Version 10.9.5 (Build 13F1507)) from
>
> http://emacsformacosx.com/emacs-builds/Emacs-2016-01-11_01-40-53-eb0643c-universal.dmg
>
>
Seeing as you can reproduce, I'll consider this reproducible... but I
cannot reproduce it myself on OS X.


>
> Michael
>

--001a1143fae0ae152205291961f0
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">On Mon=
, Jan 11, 2016 at 5:43 PM Michael Brand &lt;<a href=3D"mailto:michael.ch.br=
and@HIDDEN">michael.ch.brand@HIDDEN</a>&gt; wrote:<br></div><blockquo=
te class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc so=
lid;padding-left:1ex"><div dir=3D"ltr">Hi Andrew<br><br>I would like to giv=
e some feedback to what you originally asked Steve:</div><div dir=3D"ltr"><=
br><br>On Mon, Jan 11, 2016 at 5:19 AM, Andrew Hyatt &lt;<a href=3D"mailto:=
ahyatt@HIDDEN" target=3D"_blank">ahyatt@HIDDEN</a>&gt; wrote:<br>&gt;=
 I can&#39;t reproduce this under Emacs 25. As this bug is a bit old, I&#39=
;m<br>&gt; guessing it has been fixed in the meantime. Please let me know i=
f you<br>&gt; can still reproduce it, though. I&#39;ll mark this as unrepro=
ducible now,<br>&gt; and close it in a few weeks if you can&#39;t reproduce=
 it either under Emacs<br>&gt; 25.<br><br></div><div dir=3D"ltr">Did you ch=
eck on OS X?<br><br>On GNU/Linux I never saw the issue, on OS X regularly u=
nder certain<br>circumstances which are not clear to me. With the recipe of=
 Steve I<br>can reproduce on build GNU Emacs 25.1.50.1 (x86_64-apple-darwin=
13.4.0,<br>NS appkit-1265.21 Version 10.9.5 (Build 13F1507)) from<br><a hre=
f=3D"http://emacsformacosx.com/emacs-builds/Emacs-2016-01-11_01-40-53-eb064=
3c-universal.dmg" target=3D"_blank">http://emacsformacosx.com/emacs-builds/=
Emacs-2016-01-11_01-40-53-eb0643c-universal.dmg</a></div><div dir=3D"ltr"><=
br></div></blockquote><div><br></div><div>Seeing as you can reproduce, I&#3=
9;ll consider this reproducible... but I cannot reproduce it myself on OS X=
.</div><div>=C2=A0</div><blockquote class=3D"gmail_quote" style=3D"margin:0=
 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div dir=3D"ltr"><br=
>Michael<br></div></blockquote></div></div>

--001a1143fae0ae152205291961f0--




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#2409; Package emacs,org-mode. Full text available.

Message received at 2409 <at> debbugs.gnu.org:


Received: (at 2409) by debbugs.gnu.org; 11 Jan 2016 22:43:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 11 17:43:46 2016
Received: from localhost ([127.0.0.1]:46876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aIlBi-0007oK-1w
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2016 17:43:46 -0500
Received: from mail-wm0-f53.google.com ([74.125.82.53]:32919)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <michael.ch.brand@HIDDEN>) id 1aIlBh-0007o7-50
 for 2409 <at> debbugs.gnu.org; Mon, 11 Jan 2016 17:43:45 -0500
Received: by mail-wm0-f53.google.com with SMTP id f206so231810679wmf.0
 for <2409 <at> debbugs.gnu.org>; Mon, 11 Jan 2016 14:43:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=H1wGz+1TkWwntxM0Jsrvifr5paj8kCd+wF4VZjLocGg=;
 b=PpD5el3nhdgG0RxMHfD8kMMAlt80MQ9pYcBZY9qbB+sTbGkLHqtNy3K9XL2Im15Zs5
 c2x1heX+ZSwcGWse2nkXuHNeM00jthVKKsFPa7capjs4a2ZmpGRGrn7dkiDEewg05om9
 zzlEumCvviPUDSxs7AuEKyF6QR3BaEVZn3S2atzHdRIGEIMmV90p/we4mM6/1WNmTf0r
 xngr1ugrpJuOZDi/hf7p2hnCr3jDrcBIg3ioyfxq3ZxKASueW1F+O3aAJ6GsqWgwKayu
 lKl5gh+AX1sP6q4s/GgZOu1B1PPuDjh2NESj3ZPuDFQwL5rAVdtU/11gzw4EPCC/QNOG
 HIsQ==
MIME-Version: 1.0
X-Received: by 10.194.20.67 with SMTP id l3mr10978212wje.86.1452552219543;
 Mon, 11 Jan 2016 14:43:39 -0800 (PST)
Received: by 10.28.144.69 with HTTP; Mon, 11 Jan 2016 14:43:39 -0800 (PST)
In-Reply-To: <m2k2ng9299.fsf@HIDDEN>
References: <5A1A94B2-B206-4068-87C8-138E6D202BDE@HIDDEN>
 <m2k2ng9299.fsf@HIDDEN>
Date: Mon, 11 Jan 2016 23:43:39 +0100
Message-ID: <CALn3zoggG_+3pgp9qagDNKpUGtApqw-aYMvPatu60BQiOeM6vA@HIDDEN>
Subject: Re: [O] bug#2409: 23.0.90;
 org-mode + viper-mode + ns make typing unresponsive
From: Michael Brand <michael.ch.brand@HIDDEN>
To: Andrew Hyatt <ahyatt@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7b5d649a105249052916ab9a
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 2409
Cc: Steve Purcell <steve@HIDDEN>, 2409 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--047d7b5d649a105249052916ab9a
Content-Type: text/plain; charset=UTF-8

Hi Andrew

I would like to give some feedback to what you originally asked Steve:

On Mon, Jan 11, 2016 at 5:19 AM, Andrew Hyatt <ahyatt@HIDDEN> wrote:
> I can't reproduce this under Emacs 25. As this bug is a bit old, I'm
> guessing it has been fixed in the meantime. Please let me know if you
> can still reproduce it, though. I'll mark this as unreproducible now,
> and close it in a few weeks if you can't reproduce it either under Emacs
> 25.

Did you check on OS X?

On GNU/Linux I never saw the issue, on OS X regularly under certain
circumstances which are not clear to me. With the recipe of Steve I
can reproduce on build GNU Emacs 25.1.50.1 (x86_64-apple-darwin13.4.0,
NS appkit-1265.21 Version 10.9.5 (Build 13F1507)) from
http://emacsformacosx.com/emacs-builds/Emacs-2016-01-11_01-40-53-eb0643c-universal.dmg

Michael

--047d7b5d649a105249052916ab9a
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi Andrew<br><br>I would like to give some feedback to wha=
t you originally asked Steve:<br><br>On Mon, Jan 11, 2016 at 5:19 AM, Andre=
w Hyatt &lt;<a href=3D"mailto:ahyatt@HIDDEN">ahyatt@HIDDEN</a>&gt; wr=
ote:<br>&gt; I can&#39;t reproduce this under Emacs 25. As this bug is a bi=
t old, I&#39;m<br>&gt; guessing it has been fixed in the meantime. Please l=
et me know if you<br>&gt; can still reproduce it, though. I&#39;ll mark thi=
s as unreproducible now,<br>&gt; and close it in a few weeks if you can&#39=
;t reproduce it either under Emacs<br>&gt; 25.<br><br>Did you check on OS X=
?<br><br>On GNU/Linux I never saw the issue, on OS X regularly under certai=
n<br>circumstances which are not clear to me. With the recipe of Steve I<br=
>can reproduce on build GNU Emacs 25.1.50.1 (x86_64-apple-darwin13.4.0,<br>=
NS appkit-1265.21 Version 10.9.5 (Build 13F1507)) from<br><a href=3D"http:/=
/emacsformacosx.com/emacs-builds/Emacs-2016-01-11_01-40-53-eb0643c-universa=
l.dmg">http://emacsformacosx.com/emacs-builds/Emacs-2016-01-11_01-40-53-eb0=
643c-universal.dmg</a><br><br>Michael<br></div>

--047d7b5d649a105249052916ab9a--




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#2409; Package emacs,org-mode. Full text available.
Added tag(s) unreproducible. Request was from Andrew Hyatt <ahyatt@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 2409 <at> debbugs.gnu.org:


Received: (at 2409) by debbugs.gnu.org; 11 Jan 2016 04:19:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 10 23:19:41 2016
Received: from localhost ([127.0.0.1]:45912 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aITxE-0008Ja-T4
	for submit <at> debbugs.gnu.org; Sun, 10 Jan 2016 23:19:41 -0500
Received: from mail-qg0-f54.google.com ([209.85.192.54]:35059)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ahyatt@HIDDEN>) id 1aITxD-0008JK-DW
 for 2409 <at> debbugs.gnu.org; Sun, 10 Jan 2016 23:19:39 -0500
Received: by mail-qg0-f54.google.com with SMTP id o11so395000389qge.2
 for <2409 <at> debbugs.gnu.org>; Sun, 10 Jan 2016 20:19:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=7qjIuPHUZCRfVckWPrLDaXtMiJPLWJtAARPgCuc6Ius=;
 b=WLwEh7epT0+tmHKQci70LxZfSJkZtRfnYPqCPGdT/KZLjD1+PaetcXWDv3n+9md8GW
 rsVe8By8i9ScoPwGyPrDjuvE22HzcTCVnOnLOWyE3ELpqRBONeL/qLhuTiRK+ZqVP/6z
 5CKASg7eTvCFQuYSZ5UNib/OTUGB5FrVrsCNPFByiByhwjtw56j0ZTaTwHGuHt/zIah4
 62LKupM0mCpiU/o69umLXdHyW1aPLMyOVaKQlg/NlfYvKNQFb8VvF/eICQLHSJeA62mg
 vnBuLvSSY96+NaqgaGeiEY/4XfZWezbsy1EQFYXi82woM74iTl0Qipjc+8jGlRe4EEhz
 IDSA==
X-Received: by 10.140.29.131 with SMTP id b3mr158112665qgb.50.1452485974114;
 Sun, 10 Jan 2016 20:19:34 -0800 (PST)
Received: from Andrews-MacBook-Pro.local.ahyatt-laptop
 (cpe-74-73-128-199.nyc.res.rr.com. [74.73.128.199])
 by smtp.gmail.com with ESMTPSA id f132sm35552597qhe.6.2016.01.10.20.19.32
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 10 Jan 2016 20:19:32 -0800 (PST)
From: Andrew Hyatt <ahyatt@HIDDEN>
To: Steve Purcell <steve@HIDDEN>
Subject: Re: bug#2409: 23.0.90;
 org-mode + viper-mode + ns make typing unresponsive
References: <5A1A94B2-B206-4068-87C8-138E6D202BDE@HIDDEN>
Date: Sun, 10 Jan 2016 23:19:30 -0500
In-Reply-To: <5A1A94B2-B206-4068-87C8-138E6D202BDE@HIDDEN> (Steve
 Purcell's message of "Fri, 20 Feb 2009 15:16:52 +0100")
Message-ID: <m2k2ng9299.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 2409
Cc: 2409 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


I can't reproduce this under Emacs 25. As this bug is a bit old, I'm
guessing it has been fixed in the meantime. Please let me know if you
can still reproduce it, though. I'll mark this as unreproducible now,
and close it in a few weeks if you can't reproduce it either under Emacs
25.

Steve Purcell <steve@HIDDEN> writes:

> Typing into an org buffer becomes very unresponsive under viper-mode. The input
> cursor flickers rapidly between windows, and entered characters are not
> immediately displayed.
>
> I could not reproduce this bug via "emacsclient -t" -- it appears to affect only
> my Emacs' main NS frame.
>
> How to reproduce:
>
> Fire up emacs with -q.
>
> Start viper-mode (M-x viper-mode, then 'n', '5', 'n').
>
> Open an org document.  Split the window, e.g. with C-x 2, so that the org doc is
> in one window, and a different buffer (e.g. *scratch*) is in the other window.
> You'll need to "M-x viper-mode" in the *scratch* buffer to flip it into viper
> mode too.
>
> Now, enter insert mode in *scratch* (i) and type a few words.  The typing should
> be responsive, with no cursor flicker.
>
> Now switch to the org buffer and try the same.  The typing becomes unresponsive,
> with a delay before the characters/words appear, and the cursor will flicker
> rapidly between the two buffers.
>
> The lack of responsiveness has caused me to give up on CVS Emacs for now, since
> I'm so reliant on org-mode, and although I looked briefly in the org code for a
> possible cause, I didn't discover anything.
>
> I've observed the flickering from non-org buffers, but not to the same extent,
> and I haven't detected a pattern.
>
> If I remember correctly, this started sometime in January; I update my Emacs and
> Org from CVS/git almost daily, so either could be at fault.
>
>
>
> In GNU Emacs 23.0.90.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
>  of 2009-02-20 on mandala.as24.local
> Windowing system distributor `Apple', version 10.3.949
> configured using `configure  '--with-ns''
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: en_US.UTF-8
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: en_US
>   value of $XMODIFIERS: nil
>   locale-coding-system: utf-8-unix
>   default-enable-multibyte-characters: t
>
> Major mode: Help
>
> Minor modes in effect:
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   global-auto-composition-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>   view-mode: t
>
> Recent input:
>
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> Quit
> Loading url...done
> Loading vc-git...done
> View mode: type C-h for help, h for commands, q to quit.
> Buffer is read-only: #<buffer HELLO>
> Type C-x 1 to delete the help window.
> Quit
> Making completion list... [3 times]




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#2409; Package emacs,org-mode. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 20 Feb 2009 14:17:05 +0000
From steve@HIDDEN Fri Feb 20 06:17:05 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.1 required=4.0 tests=FOURLA autolearn=no
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n1KEH1Z2005673
	for <submit@HIDDEN>; Fri, 20 Feb 2009 06:17:02 -0800
Received: from mail.gnu.org ([199.232.76.166]:43736 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <steve@HIDDEN>)
	id 1LaW9T-00083I-Fl
	for emacs-pretest-bug@HIDDEN; Fri, 20 Feb 2009 09:14:51 -0500
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <steve@HIDDEN>)
	id 1LaWBW-0003R2-KH
	for emacs-pretest-bug@HIDDEN; Fri, 20 Feb 2009 09:17:00 -0500
Received: from h1189701.stratoserver.net ([85.214.32.38]:58313)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <steve@HIDDEN>)
	id 1LaWBW-0003Pn-3d
	for emacs-pretest-bug@HIDDEN; Fri, 20 Feb 2009 09:16:58 -0500
Received: from [IPv6:::1] (p4FEFB3D9.dip0.t-ipconnect.de [79.239.179.217])
	by h1189701.stratoserver.net (Postfix) with ESMTPA id 6DD961318282
	for <emacs-pretest-bug@HIDDEN>; Fri, 20 Feb 2009 15:16:53 +0100 (CET)
Message-Id: <5A1A94B2-B206-4068-87C8-138E6D202BDE@HIDDEN>
From: Steve Purcell <steve@HIDDEN>
To: emacs-pretest-bug@HIDDEN
Content-Type: text/plain; charset=US-ASCII; format=flowed; delsp=yes
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Apple Message framework v930.3)
Subject: 23.0.90; org-mode + viper-mode + ns make typing unresponsive
Date: Fri, 20 Feb 2009 15:16:52 +0100
X-Mailer: Apple Mail (2.930.3)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6, seldom 2.4 (older, 4)

Typing into an org buffer becomes very unresponsive under viper-mode.  
The input cursor flickers rapidly between windows, and entered  
characters are not immediately displayed.

I could not reproduce this bug via "emacsclient -t" -- it appears to  
affect only my Emacs' main NS frame.

How to reproduce:

Fire up emacs with -q.

Start viper-mode (M-x viper-mode, then 'n', '5', 'n').

Open an org document.  Split the window, e.g. with C-x 2, so that the  
org doc is in one window, and a different buffer (e.g. *scratch*) is  
in the other window.  You'll need to "M-x viper-mode" in the *scratch*  
buffer to flip it into viper mode too.

Now, enter insert mode in *scratch* (i) and type a few words.  The  
typing should be responsive, with no cursor flicker.

Now switch to the org buffer and try the same.  The typing becomes  
unresponsive, with a delay before the characters/words appear, and the  
cursor will flicker rapidly between the two buffers.

The lack of responsiveness has caused me to give up on CVS Emacs for  
now, since I'm so reliant on org-mode, and although I looked briefly  
in the org code for a possible cause, I didn't discover anything.

I've observed the flickering from non-org buffers, but not to the same  
extent, and I haven't detected a pattern.

If I remember correctly, this started sometime in January; I update my  
Emacs and Org from CVS/git almost daily, so either could be at fault.



In GNU Emacs 23.0.90.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
  of 2009-02-20 on mandala.as24.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: en_US.UTF-8
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: en_US
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default-enable-multibyte-characters: t

Major mode: Help

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t
   view-mode: t

Recent input:

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit
Loading url...done
Loading vc-git...done
View mode: type C-h for help, h for commands, q to quit.
Buffer is read-only: #<buffer HELLO>
Type C-x 1 to delete the help window.
Quit
Making completion list... [3 times]





Acknowledgement sent to Steve Purcell <steve@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2409; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 17 May 2016 17:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.